// left trims
function ltrim(pStr) {
	if (pStr == null) return ("");
	var oRegExp = new RegExp("^[ ]*", "gim");
	return (pStr.replace(oRegExp, ""));
}

// checks whether a text input contains a numeric value
function _isNumeric(pString) {
	var oRegExp = /^[-+]?[0-9]+(?:[.,]?[0-9]+)?$/;
	return (oRegExp.test(pString)); 
}

function isNumeric(pObj) {
	return (_isNumeric(pObj.value)); 
}

// event
function addEvent(obj, evType, fn){ 
	if (obj.addEventListener) { 
		obj.addEventListener(evType, fn, false); 
		return true; 
	} else if (obj.attachEvent) { 
		var r = obj.attachEvent("on"+evType, fn); 
		return r; 
	} else { return false; } 
}

function removeEvent(obj, evType, fn){ 
	if (obj.removeEventListener) { 
		obj.removeEventListener(evType, fn, false); 
		return true; 
	} else if (obj.detachEvent) { 
		var r = obj.detachEvent("on"+evType, fn); 
		return r; 
	} else { return false; } 
}

function showHideElementById(pId) {
	var oElement = document.getElementById(pId);
	var bFlag = (oElement.style.display == "none");
	oElement.style.display = ((bFlag) ? "" : "none");
	return (false);
}

function _scroll(pZone) {
	var oDiv = document.getElementById('zPageContent_Container');
	var oAnchor = document.getElementById(pZone);
	oDiv.scrollTop =  oAnchor.offsetTop - 80;
}

function _wait() {
	var oBox = document.getElementById("WaitingBox");
	var oBox2 = document.getElementById("WaitingBox2");
	oBox.style.display="block";
	var oContainer = document.getElementById('zPageContent_Container');
	oBox2.style.top = oContainer.scrollTop + 50 + "px";
}