<%@ Page language="c#" Inherits="mlb_gui.Restore"  %>

<%@ Register TagPrefix="MyLittleBackup" TagName="MetaHeader" Src="../common/metaheader.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" TagName="PageHeader" Src="../common/pageheader.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" TagName="WaitingBox" Src="../common/mlawaitingbox.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" Namespace="MyLittleBackup" Assembly="mlb" %>
<%@ Register TagPrefix="radU" Namespace="Telerik.WebControls" Assembly="RadUpload.NET2" %>

<MyLittleBackup:MetaHeader id="metaheader" DefaultXmlFile="../xml/defaultheader.xml" runat="server" />

<body onload="content_resize();">	

	<form runat="server" id="mainForm" enctype="multipart/form-data">
		<div id="zFullZone"><div id="zFullZone_1">

			<MyLittleBackup:PageHeader 
				id="pageheader" 
				runat="server" 
			/>		

			<div id="zPageContent"><div id="zPageContent_Container" runat="server">				

				<MyLittleBackup:WaitingBox 
					id="WaitingBox"
					runat="server" 
				/>

				<div id="zForm_Container">
					
					<MyLittleBackup:MlaTab
						id="zTabs"
						runat="server"
					/>

					<div id="zTab_General" class="zonetab">
					
						<div id="zStep1" runat="server">
							<asp:Image id="iStep1" runat="server" /><asp:Label id="lStep1" runat="server" />
							<div id="zHelpStep1" runat="server" />		
							<div id="zFormStep1" runat="server" >
								<MyLittleBackup:MlaFormElement
									id="fDatabase"
									CssClass="mediumcontrol"
									LabelCssClass="classic"
									Type="DropDownList"
									runat="server"
								/>	
							</div>
						</div>

						<div id="zStep2" runat="server">
							<asp:Image id="iStep2" runat="server" /><asp:Label id="lStep2" runat="server" />
							<div id="zHelpStep2" runat="server" />		
							<div id="zFormStep2" runat="server" >
								<div id="zInfoStep2" runat="server" />
								<div style="clear:both; margin-top: 10px;">
									<asp:Button Text="Ok" id="btnStep2Ok" class="shortcontrol" onclick="btnStep2Ok_Click" runat="server" />
								</div>
							</div>
						</div>

						<div id="zStep3" runat="server">
							<asp:Image id="iStep3" runat="server" /><asp:Label id="lStep3" runat="server" />
							<div id="zHelpStep3" runat="server" />		
							<div id="zFormStep3" runat="server" >
								<label id="lFiles" for="fFiles" class="classic" runat="server"></label><br clear="all"/>
								<asp:ListBox 
									id="fFiles" 
									class="verylongcontrol" 
									runat="server" 
								/>
								<br/>
								<label id="lFile" for="fFile" class="classic" runat="server"></label><br clear="all"/>
								<input type="file"
									id="fFile" 
									class="verylongcontrol" 
									runat="server" 
								/>
								<br />
								<asp:Button Text="Ok" id="btnStep3Ok" class="shortcontrol" onclick="btnStep3Ok_Click" runat="server" />
								<!-- RAD UPLOAD -->
								<radu:radprogressmanager id="Radprogressmanager1" runat="server" />
								<radu:radprogressarea id="RadProgressArea1" runat="server" />
								<!-- RAD UPLOAD -->
							</div>
						</div>

						<div id="zStep4" runat="server">
							<asp:Image id="iStep4" runat="server" /><asp:Label id="lStep4" runat="server" />
							<div id="zHelpStep4" runat="server" />		
							<div id="zFormStep4" runat="server" >
								<div id="zInfoStep4" runat="server" />
								<asp:Repeater id="rBackupSet" runat="server">
									<ItemTemplate>
										<div>
											<input type="radio" name="rbPosition" id="rbPosition_<%#DataBinder.Eval(Container.DataItem,"Position")%>" value="<%#DataBinder.Eval(Container.DataItem,"Position")%>" />
											<asp:Image id="iExpand" runat="server"/>
											<asp:PlaceHolder id="oSetName" runat="server"/>
											<asp:PlaceHolder id="oSetInfo" runat="server"/>
										</div>
									</ItemTemplate>
								</asp:Repeater>
							</div>
						</div>

						<script type="text/javascript">
						<!--
							if (document.getElementById("rbPosition_1")) document.getElementById("rbPosition_1").checked = true;
						//-->
						</script>

						<div id="zStep5" runat="server">
							<asp:Image id="iStep5" runat="server" /><asp:Label id="lStep5" runat="server" />
							<div id="zHelpStep5" runat="server" />		
							<div id="zFormStep5" runat="server" >
								<div id="zInfoStep5" runat="server" />
								<asp:Button Text="Submit" id="btnSubmit" class="mediumcontrol" onclick="btnSubmit_Click" Runat="server" />
							</div>
						</div>

						<div id="zStep6" runat="server">
							<asp:Image id="iStep6" runat="server" /><asp:Label id="lStep6" runat="server" />
							<div id="zHelpStep6" runat="server" />		
							<div id="zFormStep6" runat="server" >
								<div id="zInfoStep6" runat="server" />
							</div>
						</div>
					
					</div>
					<div id="zTab_Messages" class="zonetab">
						<div id="zMessage" runat="server" />
					</div>

				</div>

			</div></div>
			
		</div></div>
	</form>

</body>
</html>